mixin imageWithFallback(path, alt)
  if !imageExists(path)
    img(src="/niveaux/unknown.png", alt="unknown", title="unknown", width="100px", height="119px")
  else
    img(src=path, alt=alt, title=alt, width="100px", height="119px")

mixin dimEntranceGen(path, dimPath)
  a(href="/" + path + "/" + dimPath +".html")
    +imageWithFallback("/" + path + "/min/" + dimPath + ".png", dimPath)

mixin dimLevelGen(path, levelPath)
  a(href="/" + path + "/" + levelPath + ".html")
    +imageWithFallback("/" + path + "/min/" + levelPath + ".png", levelPath)

mixin dimEntranceGen0(path, dimPath, dim)
  if dim < 10
    +dimEntranceGen(path, "00" + dimPath + dim)
  else if dim > 10 && dim < 100
    +dimEntranceGen(path, "0" + dimPath + dim)
  else
    +dimEntranceGen(path, dimPath + dim)

mixin dimLevelGen0(path, dimPath, dim, level)
  if dim < 10
    +dimLevelGen(path, "00" + dimPath + dim + "." + level)
  else if dim > 10 && dim < 100
    +dimLevelGen(path, "0" + dimPath + dim + "." + level)
  else
    +dimLevelGen(path, dimPath + dim + "." + level)

mixin dimGen(path, dimPath, dim, dimLevels)
  br
  br
  br
  br
  .Niv
    +dimEntranceGen0(path, dimPath, dim)
    .eloi
      - for (let level = 0; level < dimLevels; level++)
        +dimLevelGen0(path, dimPath, dim, level)

//- Used for pds which ain't linear (like the official game's pd33)
mixin dimGenSpecial(path, dimPath, dim, levels)
  br
  br
  br
  br
  .Niv
    +dimEntranceGen0(path, dimPath, dim)
    .eloi
      for level in levels
        +dimLevelGen(path, level)
